Package com.collabnet.ce.soap60.integratedapps.util

# Class IntegratedAppCookie

java.lang.Object
com.collabnet.ce.soap60.integratedapps.util.IntegratedAppCookie

public class IntegratedAppCookie extends Object
Class to handle cookies for Integrated Applications

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IntegratedAppCookie.AuthParams`
  Wrapper for information stored in cookie

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegratedAppCookie()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IntegratedAppCookie.AuthParams`
  `getAuthParams(String integratedAppId, javax.servlet.http.HttpServletRequest request, boolean isAdminPage)`
  Get decoded authentication parameters from cookie.
  `static void`
  `setAuthParams(String integratedAppId, IntegratedAppCookie.AuthParams authParams, javax.servlet.http.HttpServletResponse response, boolean isAdminPage)`
  Store authentication parameters from the active session onto HTTP response.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegratedAppCookie

    public IntegratedAppCookie()

- ## Method Details

  - ### getAuthParams

    public static IntegratedAppCookie.AuthParams getAuthParams(String integratedAppId, javax.servlet.http.HttpServletRequest request, boolean isAdminPage)
    Get decoded authentication parameters from cookie.
    Parameters:
      `request` - HttpServletRequest
      `isAdminPage` - true if the request is for an admin page, otherwise false
    Returns:
      AuthParams

  - ### setAuthParams

    public static void setAuthParams(String integratedAppId, IntegratedAppCookie.AuthParams authParams, javax.servlet.http.HttpServletResponse response, boolean isAdminPage)
    Store authentication parameters from the active session onto HTTP response.
    Parameters:
      `integratedAppId` - integrated app id/id thats links the integrated app. to a project
      `authParams` - AuthParams object
      `response` - HttpServletResponse
      `isAdminPage` - true if the authentication parameters is for an admin page, otherwise false